﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ITP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ITP_GAAP_SUBJECT') 
 CREATE TABLE T_ITP_GAAP_SUBJECT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISSAME CHAR(1) DEFAULT '0' NOT NULL,
FGROUPSUBJECTS VARCHAR(50) DEFAULT ' ' NOT NULL,
FLOCALSUBJECTS VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ITP_GAAP_SUBJECT_ENTITY') 
 CREATE TABLE T_ITP_GAAP_SUBJECT_ENTITY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGROUPSUBJECTSID VARCHAR(36) DEFAULT ' ' NOT NULL,
FLOCALSUBJECTSID VARCHAR(36) DEFAULT ' ' NOT NULL,
FCOMPAREFORM BIGINT DEFAULT 0 NOT NULL,
FCOMPAREFIELD BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ITP_GAAP_SUBJECT_L') 
 CREATE TABLE T_ITP_GAAP_SUBJECT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ITP_DRAFT_ETR') 
 CREATE TABLE T_ITP_DRAFT_ETR (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FYXSFL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJSNYXSFL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDQSDSFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJSNDQSDSFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDYSDSFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJSNDYSDSFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORG BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FACCOUNTSETTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXSYSTEM BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ITP_DRAFT_TAB') 
 CREATE TABLE T_ITP_DRAFT_TAB (
FID BIGINT DEFAULT 0 NOT NULL,
FTAB BIGINT DEFAULT 0 NOT NULL,
FTAXATIONSYS BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ITP_table.sql **/
